# Class JSOFA.SphericalPositionVelocity

java.lang.Object
org.jastronomy.jsofa.JSOFA.SphericalPositionVelocity

Enclosing class:
  `JSOFA`

public static class JSOFA.SphericalPositionVelocity extends Object
A position and velocity expressed in spherical polar coordinates.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 4 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`JSOFA.SphericalPosition`
`pos`
`JSOFA.SphericalPosition`
`vel`

## Constructor Summary

Constructors
Constructor
Description
`SphericalPositionVelocity(double theta, double phi, double r, double td, double pd, double rd)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pos

public JSOFA.SphericalPosition pos

### vel

public JSOFA.SphericalPosition vel

## Constructor Details

### SphericalPositionVelocity

public SphericalPositionVelocity(double theta, double phi, double r, double td, double pd, double rd)